package org.dive4elements.river.artifacts.model.map;

import java.io.File;

import org.apache.log4j.Logger;
import org.dive4elements.artifactdatabase.state.DefaultFacet;
import org.dive4elements.artifacts.Artifact;
import org.dive4elements.artifacts.CallContext;
import org.dive4elements.artifacts.common.utils.Config;
import org.dive4elements.river.artifacts.D4EArtifact;


public class ShapeFacet
extends DefaultFacet
{
    private static Logger log = Logger.getLogger(ShapeFacet.class);

    private static final String BASE_DIR =
        "/artifact-database/floodmap/shapefile-path/@value";

    /**
     * Defaults to ADVANCE Compute type.
     * @param name Name of the facet.
     * @param description maybe localized description of the facet.
     */
    public ShapeFacet(String name, String description) {
        super(name, description);
    }

    /**
     * Return computation result.
     */
    @Override
    public Object getData(Artifact artifact, CallContext context) {
        D4EArtifact flys = (D4EArtifact)artifact;
        String tmp = Config.getStringXPath(BASE_DIR);
        String baseDir = Config.replaceConfigDir(tmp);
        baseDir += "/" + flys.identifier();
        File shapeDir = new File(baseDir);
        if (shapeDir.exists()) {
            return shapeDir;
        }
        return null;
    }

}
